"""Vehiculos Marcas Schemas"""

from typing import Optional
from pydantic import BaseModel, ConfigDict, Field


class VehiculosMarcasResponse(BaseModel):
    """Marcas de vehículos"""

    FRACCION: Optional[str] = Field(None, max_length=8)
    MARCA: Optional[str] = Field(None, max_length=60)
    SYSID: int

    model_config = ConfigDict(from_attributes=True)
